import type { RefObject } from 'react';
import type { Entry, MicroApp } from '../qiankun';
export interface IMfComponentLoader<T> extends Pick<React.HTMLAttributes<HTMLDivElement>, 'className'> {
    app: {
        name: string;
        entry: Entry;
    };
    props: IMicroAppProps<T>;
    placeholder?: string;
}
export declare type IMicroAppProps<T> = {
    component_path: string;
} & T;
export declare function initLoadMicroApp(app: {
    name: string;
    entry: Entry;
}, props: IMicroAppProps<{}>, containerRef: RefObject<HTMLDivElement>, setLoadedApp: (lApp: MicroApp) => void): void;
//# sourceMappingURL=LoaderQueue.d.ts.map